PUT
/
blogs
/
site
/
create
/
import
/
{importId}
cURL
curl --request PUT \
--url https://services.leadconnectorhq.com/blogs/site/create/import/{importId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"blogId": "<string>",
"selectedMapped": true,
"selectedUnMapped": true,
"selectedItems": [
"<string>"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
blogId: '<string>',
selectedMapped: true,
selectedUnMapped: true,
selectedItems: ['<string>']
})
};
fetch('https://services.leadconnectorhq.com/blogs/site/create/import/{importId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/blogs/site/create/import/{importId}"
payload = {
"blogId": "<string>",
"selectedMapped": True,
"selectedUnMapped": True,
"selectedItems": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200 - undefined
Last modified on May 19, 2026
Was this page helpful?
cURL
curl --request PUT \
--url https://services.leadconnectorhq.com/blogs/site/create/import/{importId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"blogId": "<string>",
"selectedMapped": true,
"selectedUnMapped": true,
"selectedItems": [
"<string>"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
blogId: '<string>',
selectedMapped: true,
selectedUnMapped: true,
selectedItems: ['<string>']
})
};
fetch('https://services.leadconnectorhq.com/blogs/site/create/import/{importId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/blogs/site/create/import/{importId}"
payload = {
"blogId": "<string>",
"selectedMapped": True,
"selectedUnMapped": True,
"selectedItems": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)